Plesk\backup\Agent\Schema\Backup\PhostingType\PreferencesAType:
    properties:
        sysuser:
            expose: true
            access_type: public_method
            serialized_name: sysuser
            xml_element:
                cdata: false
            accessor:
                getter: getSysuser
                setter: setSysuser
            type: Plesk\backup\Agent\Schema\Backup\Sysuser
        fpuser:
            expose: true
            access_type: public_method
            serialized_name: fpuser
            xml_element:
                cdata: false
            accessor:
                getter: getFpuser
                setter: setFpuser
            type: Plesk\backup\Agent\Schema\Backup\Fpuser
        logrotation:
            expose: true
            access_type: public_method
            serialized_name: logrotation
            xml_element:
                cdata: false
            accessor:
                getter: getLogrotation
                setter: setLogrotation
            type: Plesk\backup\Agent\Schema\Backup\Logrotation
        anonftp:
            expose: true
            access_type: public_method
            serialized_name: anonftp
            xml_element:
                cdata: false
            accessor:
                getter: getAnonftp
                setter: setAnonftp
            type: Plesk\backup\Agent\Schema\Backup\Anonftp
        pdir:
            expose: true
            access_type: public_method
            serialized_name: pdir
            xml_element:
                cdata: false
            accessor:
                getter: getPdir
                setter: setPdir
            xml_list:
                inline: true
                entry_name: pdir
            type: array<Plesk\backup\Agent\Schema\Backup\Pdir>
        webalizer:
            expose: true
            access_type: public_method
            serialized_name: webalizer
            xml_element:
                cdata: false
            accessor:
                getter: getWebalizer
                setter: setWebalizer
            type: Plesk\backup\Agent\Schema\Backup\Webalizer
        sbDomain:
            expose: true
            access_type: public_method
            serialized_name: sb-domain
            xml_element:
                cdata: false
            accessor:
                getter: getSbDomain
                setter: setSbDomain
            type: Plesk\backup\Agent\Schema\Backup\DeprecatedElementType
        perfomance:
            expose: true
            access_type: public_method
            serialized_name: perfomance
            xml_element:
                cdata: false
            accessor:
                getter: getPerfomance
                setter: setPerfomance
            type: Plesk\backup\Agent\Schema\Backup\Perfomance
        hotlinkProtection:
            expose: true
            access_type: public_method
            serialized_name: hotlink-protection
            xml_element:
                cdata: false
            accessor:
                getter: getHotlinkProtection
                setter: setHotlinkProtection
            type: Plesk\backup\Agent\Schema\Backup\HotlinkProtection
        sharedSsl:
            expose: true
            access_type: public_method
            serialized_name: shared-ssl
            xml_element:
                cdata: false
            accessor:
                getter: getSharedSsl
                setter: setSharedSsl
            xml_list:
                inline: true
                entry_name: shared-ssl
            type: array<Plesk\backup\Agent\Schema\Backup\DeprecatedElementType>
        webStat:
            expose: true
            access_type: public_method
            serialized_name: web-stat
            xml_element:
                cdata: false
            accessor:
                getter: getWebStat
                setter: setWebStat
            type: Plesk\backup\Agent\Schema\Backup\WebStat
        iisApplicationPool:
            expose: true
            access_type: public_method
            serialized_name: iis-application-pool
            xml_element:
                cdata: false
            accessor:
                getter: getIisApplicationPool
                setter: setIisApplicationPool
            type: Plesk\backup\Agent\Schema\Backup\IisApplicationPool
        dynamicIpSecurity:
            expose: true
            access_type: public_method
            serialized_name: dynamic-ip-security
            xml_element:
                cdata: false
            accessor:
                getter: getDynamicIpSecurity
                setter: setDynamicIpSecurity
            type: Plesk\backup\Agent\Schema\Backup\DynamicIpSecurity
        virtualDirectories:
            expose: true
            access_type: public_method
            serialized_name: virtual-directories
            xml_element:
                cdata: false
            accessor:
                getter: getVirtualDirectories
                setter: setVirtualDirectories
            type: array<Plesk\backup\Agent\Schema\Backup\Vdir>
            xml_list:
                inline: false
                entry_name: vdir
                skip_when_empty: true
